com.jnape.palatable.lambda.monoid.builtin

## Class AddAll<A,C extends Collection<A>>

- java.lang.Object
- - com.jnape.palatable.lambda.monoid.builtin.AddAll<A,C>

- All Implemented Interfaces:
    Fn1<Fn0<C>,Fn1<C,Fn1<C,C>>>, Fn2<Fn0<C>,C,Fn1<C,C>>, Fn3<Fn0<C>,C,C,C>, MonoidFactory<Fn0<C>,C>, SemigroupFactory<Fn0<C>,C>, Applicative<Fn1<C,Fn1<C,C>>,Fn1<Fn0<C>,?>>, Cartesian<Fn0<C>,Fn1<C,Fn1<C,C>>,Fn1<?,?>>, Cocartesian<Fn0<C>,Fn1<C,Fn1<C,C>>,Fn1<?,?>>, Contravariant<Fn0<C>,Profunctor<?,Fn1<C,Fn1<C,C>>,Fn1<?,?>>>, Functor<Fn1<C,Fn1<C,C>>,Fn1<Fn0<C>,?>>, Profunctor<Fn0<C>,Fn1<C,Fn1<C,C>>,Fn1<?,?>>, Monad<Fn1<C,Fn1<C,C>>,Fn1<Fn0<C>,?>>, MonadReader<Fn0<C>,Fn1<C,Fn1<C,C>>,Fn1<Fn0<C>,?>>, MonadRec<Fn1<C,Fn1<C,C>>,Fn1<Fn0<C>,?>>, MonadWriter<Fn0<C>,Fn1<C,Fn1<C,C>>,Fn1<Fn0<C>,?>>

      public final class AddAll<A,C extends Collection<A>>
      extends Object
      implements MonoidFactory<Fn0<C>,C>

  The `Monoid` instance formed under mutative concatenation for an arbitrary `Collection`. The collection subtype (`C`) must support `Collection.addAll(Collection)`.

  Note that the result is a new collection, and the inputs to this monoid are left unmodified.

  See Also:
    `Monoid`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A,C extends Collection<A>> AddAll<A,C>` | `addAll()`
    `static <A,C extends Collection<A>> Monoid<C>` | `addAll(Fn0<C> collectionFn0)`
    `static <A,C extends Collection<A>> Fn1<C,C>` | `addAll(Fn0<C> collectionFn0, C xs)`
    `static <A,C extends Collection<A>> C` | `addAll(Fn0<C> collectionFn0, C xs, C ys)`
    `Monoid<C>` | `checkedApply(Fn0<C> cFn0)` Invoke this function with the given argument, potentially throwing any `Throwable`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.MonoidFactory

      `apply, apply`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.SemigroupFactory

      `checkedApply`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn3

      `apply, checkedApply, compose, contraMap, diMapL, discardR, flip, fn3, fn3, fn3, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `curried, curry, fn2, fromBiFunction, toBiFunction`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Monoid<C> checkedApply(Fn0<C> cFn0)

      Description copied from interface: `Fn2`
      Invoke this function with the given argument, potentially throwing any `Throwable`.
      Specified by:
        `checkedApply` in interface `Fn1<Fn0<C extends Collection<A>>,Fn1<C extends Collection<A>,Fn1<C extends Collection<A>,C extends Collection<A>>>>`
      Specified by:
        `checkedApply` in interface `Fn2<Fn0<C extends Collection<A>>,C extends Collection<A>,Fn1<C extends Collection<A>,C extends Collection<A>>>`
      Specified by:
        `checkedApply` in interface `MonoidFactory<Fn0<C extends Collection<A>>,C extends Collection<A>>`
      Specified by:
        `checkedApply` in interface `SemigroupFactory<Fn0<C extends Collection<A>>,C extends Collection<A>>`
      Parameters:
        `cFn0` - the argument
      Returns:
        the result of the function application

    - #### addAll

          public static <A,C extends Collection<A>> AddAll<A,C> addAll()

    - #### addAll

          public static <A,C extends Collection<A>> Monoid<C> addAll(Fn0<C> collectionFn0)

    - #### addAll

          public static <A,C extends Collection<A>> Fn1<C,C> addAll(Fn0<C> collectionFn0,
                                                                    C xs)

    - #### addAll

          public static <A,C extends Collection<A>> C addAll(Fn0<C> collectionFn0,
                                                             C xs,
                                                             C ys)